
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');

*{
    box-sizing: border-box;
}
:root {
    --color-header: #1A374D;
    --color-accent: #406882;
    --color-button: #1D6A96;
    --color-text: #333333;
    --color-header-dark: #061d2e;
}
body{
    font-family: "IBM Plex Mono", monospace;
    font-style: normal;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color:#F5F5F5;
    text-align: center;
}


.titulo{
    color: white;
    
}
.subtitulo{
    color: white;
    margin: 10px;
}

h2{
    text-align:center;
}
h3{
    text-align: center;
}

a{
    color:white;
    text-decoration: none;
}

a:hover{
    color: rgb(255, 255, 147);
}

#resultados{
    display: flex;
    flex-direction: column;
    transition: all 300ms;
    background-color: var(--color-header);
    width: 100%;
    min-height: 500px;
    margin-top: 10px;
    margin-bottom: 170px;
    padding: 10px;
    color: white;
    text-align: center;
    font-size: 20px;
    overflow: auto;
    
}

#resultados a{
    color: khaki;
}

#resultados a:hover{
    color: white;
}

#resultados hr{
    width: 100%;
}

#buscarResultado{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 500px;
    margin: 30px;
    padding: 20px;
    background-color: var(--color-header);
    border-radius: 6px;
    box-shadow: 0 4px 8px rgba(238, 212, 177, 0.1);
    color: white;
}

#buscarResultado button{
    transition: 200ms;
    width: 50%;
    padding: 10px;
    font-weight: bold;
    background-color:var(--color-button);
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 2px;

}

#buscarResultado button:hover{
    background-color: #b82525;
}
header{
    background-color: var(--color-header);
    color: whitesmoke;
    display: flex;
    width: 100%;
    height: auto;
    padding: 10px;
    justify-content: space-between;
    word-spacing: 5px;
}
header a{
    text-decoration: none;
    color: currentColor;
}

header img{
    width: 100%;
    max-width: 250px;
    height: auto;
    margin-top: 10px;
}

@media (max-width:920px){
header{
    align-items: center;
    text-align: center;
    display: flex;
    flex-direction: column;
    
}

.div-history, .div-infos{
    padding: 10px;
    font-size: 0.9em;
}


header{
    padding: auto;
}
}


.nav-tab{
    display: flex;
    align-items: center;
    gap: 10px;
    text-wrap: nowrap;
    
}

.nav-tab a{
    color:white;
    font-weight: bold;
    text-decoration: none;
    text-transform: uppercase;
    padding: 15px;
    border-radius: 6px;
    transition: all 300ms;
}

.nav-tab a:hover{
    color:beige;
    background-color: var(--color-header-dark);
}

@media (max-width: 920px) {
    .nav-tab {
        flex-direction: column; /* Cambia a columna */
        gap: 10px;
    }
}

.Imgprincipal{
    display: flex;
    width: 100%;
    height: auto;
    mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 70%, rgba(0, 0, 0, 0) 90%);
    overflow: hidden;
}





.div-history{
    display: flex;
    flex-direction: column;
    font-weight: 600;
    text-align: center;
    width: 100%;    
    background-color: rgba(64, 104, 130, 0.1); /* Azul suave con transparencia */
    color: var(--color-text); /* Asegúrate que sea legible */
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    mask-image: linear-gradient(to top, rgba(0, 0, 0, 1) 80%, rgba(0, 0, 0, 0) 100%);
    
}

.div-history p {
    line-height: 1.6;
    font-size: 1.1em;
}

.div-infos{
    width: 100%;
    display: flex;
    flex-direction: row;
    margin: 200px 0px 150px 0px;
    justify-content: space-around;
}
.infos{
text-align: center;
width: 100%;
height: auto;
max-height: 200px;
max-width: 350px;
border-top: 4px solid var(--color-accent);
}

.infos ul{
    list-style-type: none;
    list-style-position: inside;
    margin: 0;
    padding: 0;
}


/* estilo viejo para los cursos
.table-container{
    width: 100%;
    margin-top: 20px;
}
.tabla-cursos {
    width: 80%;
    margin: 0 auto;
    border-collapse: collapse;
}

.tabla-cursos td {
    padding: 15px;
    font-size: 16px;
    color: #333;
    text-align: left;
}

.tabla-cursos tr {
    border-bottom: 2px solid #2A9D8F; /* Color de la línea debajo de cada curso 
}




 Quitar la última línea de separación 
.tabla-cursos tr:last-child {
    border-bottom: none;
}

*/

/* Estilos nuevos de los cursos */
.courses {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 1.5rem;
    padding: 2rem;
    max-width: 1200px;
    margin: 0 auto;
}

.course {
    background-color: white;
    border-radius: 8px;
    padding: 1.5rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.course h2 {
    font-size: 1.5rem;
    color: #0073e6;
    margin-bottom: 0.5rem;
}

.course p {
    font-size: 1rem;
    color: #666;
    line-height: 1.4;
}

@media (max-width: 1019px) {
    .course h2 {
        font-size: 1.3rem;
    }

    .course p {
        font-size: 0.9rem;
    }
.courses{
    display: flex;
    flex-direction: column;
}
}
/*estilos de formulario de certificado */

form{
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 500px;
    margin: 30px;
    padding: 20px;
    background-color: var(--color-header);
    border-radius: 6px;
    box-shadow: 0 4px 8px rgba(238, 212, 177, 0.1);
    color: white;
    position: absolute;
    top: 25%;
}

.form-diff{
    position: relative;
}

form h2{
    text-align: center;
    text-transform: capitalize;
}

label{
    display: flex;
    margin-top: 10px;
    font-weight: bold;

}

input, select, textarea{
    width: 100%;
    padding: 10px;
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 10px;
    border: none;
    border-radius: 2px;
    outline: none;
}

form button{
    transition: 200ms;
    width: 100%;
    padding: 10px;
    font-weight: bold;
    background-color:var(--color-button);
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 2px;
}

form button:hover{
background-color: green;
}

textarea{
    resize: none;
    overflow: hidden;
}


@media(max-height: 700px) and (max-width:920px){

    form{
        top: 45%;
    }
}



.experiencias{
    text-align: center;
    margin: 50px 0;
}

.video-container{
    position: relative;
    width: 80%;
    max-width: 800px;
    margin: 0 auto;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.video-container video{
    width: 100%;
    height: auto;
    
}

.volume-control {
    margin-top: 10px;
    display: flex;
    justify-content: center;
}

.experiencias h3{
    font-size: 2em;
    color: var(--color-accent);
    margin-bottom: 20px;
}

footer{
    background-color: var(--color-header);
    color: #fff;
    padding: 10px;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    width: 100%;
    height: auto;
}

.footer-container{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin: 0 auto;
}

.footer-col{
    flex: 1;
    padding: 10px;
    min-width: 200px;
}

.footer-col h3, .footer-col h4{
    font-weight: bold;
    margin-bottom: 10px;
}

.footer-col p{
    font-size: 14px;
    margin: 5px 0;
}

.social-links img{
    width: 24px;
    margin: 0 10px;
    transition: transform 0.3s;
}

.social-links img:hover{
    transform: scale(1.1);
}

.social-links a{
    color:white;
    font-weight: bold;
    text-decoration: none;
    text-transform: uppercase;
}

.social-links a:hover{
    color: beige;
}